[arch-commits] Commit in tcsh/repos (5 files)

Eric Bélanger eric at archlinux.org
Thu May 21 17:53:38 EDT 2009


    Date: Thursday, May 21, 2009 @ 17:53:38
  Author: eric
Revision: 39869

Merged revisions 39867 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/tcsh/trunk

........
  r39867 | eric | 2009-05-21 17:31:23 -0400 (Thu, 21 May 2009) | 2 lines
  
  upgpkg: tcsh 6.16.00-3
      Updated dircolors patch (close FS#14779)
........

Added:
  tcsh/repos/extra-i686/tcsh-6.15.00-ls-colors-var.patch
    (from rev 39867, tcsh/trunk/tcsh-6.15.00-ls-colors-var.patch)
Modified:
  tcsh/repos/extra-i686/	(properties)
  tcsh/repos/extra-i686/ChangeLog
  tcsh/repos/extra-i686/PKGBUILD
Deleted:
  tcsh/repos/extra-i686/rs.diff

----------------------------------+
 ChangeLog                        |    5 +++++
 PKGBUILD                         |   28 ++++++++++++++--------------
 rs.diff                          |   15 ---------------
 tcsh-6.15.00-ls-colors-var.patch |   13 +++++++++++++
 4 files changed, 32 insertions(+), 29 deletions(-)


Property changes on: tcsh/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /tcsh/trunk:1-26445
   + /tcsh/trunk:1-39868

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-05-21 21:31:39 UTC (rev 39868)
+++ extra-i686/ChangeLog	2009-05-21 21:53:38 UTC (rev 39869)
@@ -1,3 +1,8 @@
+2009-05-21  Eric Belanger  <eric at archlinux.org>
+
+	* tcsh 6.16.00-3
+	* Updated dircolors patch (close FS#14779)
+
 2009-02-07  Eric Belanger  <eric at archlinux.org>
 
 	* tcsh 6.16.00-2

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-21 21:31:39 UTC (rev 39868)
+++ extra-i686/PKGBUILD	2009-05-21 21:53:38 UTC (rev 39869)
@@ -4,7 +4,7 @@
 
 pkgname=tcsh
 pkgver=6.16.00
-pkgrel=2
+pkgrel=3
 pkgdesc="Enhanced version of the Berkeley C shell"
 arch=('i686' 'x86_64')
 url="http://www.tcsh.org/Welcome"
@@ -12,31 +12,31 @@
 depends=('ncurses')
 install=tcsh.install
 source=(ftp://ftp.astron.com/pub/${pkgname}/${pkgname}-${pkgver}.tar.gz csh.cshrc \
-        rs.diff csh.login tcsh.config.skel usr_csh.sh usr_tcsh.sh)
+        tcsh-6.15.00-ls-colors-var.patch csh.login tcsh.config.skel usr_csh.sh usr_tcsh.sh)
 md5sums=('55f1a41512250168ec4bf1db0e246db4' '299cd79eb3cbc2a3caeac1c3a0309556'\
-         'af778187b0de574079775d80fd53059f' '4869b9da87c79854e2cc97241f125853'\
+         'e744f5c31fc8009e7977aa50bbd9d0ae' '4869b9da87c79854e2cc97241f125853'\
          '6bd69d3c815412ada4579ac8f8cc9c45' '2b672c67b5e08ab81fbb03d8588d25e3'\
          '8758b20326f00a1057bd95a300c28355')
 sha1sums=('3d3536bbb9201abdf39b8b364b95e0a218970a5c'
           '8ebcee4e6c934481a46fe40c15d52a53ed5744bb'
-          '98fcb9ebba5dcbd0b3210acc773ef0b386f31c27'
+          'e61fb09bd20d5af0cdb000de4972acf926521de8'
           'dbbcfacc078789104f75cbf5a99640ce7251c99e'
           '73a0ae17f2e3dcf2d3ae871982e8591379e1800e'
           '7668da494d053a00199f8e2c857bf3998c74f0be'
           '31da3a6aaa00cd8d66a6c1fba42e19fbc99f2c7c')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  patch -p0 < ../rs.diff || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -p1 < ../tcsh-6.15.00-ls-colors-var.patch || return 1
   ./configure --prefix=/ --sysconfdir=/etc --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install install.man || return 1
+  make DESTDIR="${pkgdir}" install install.man || return 1
 
-  install -D -m644 ${srcdir}/csh.cshrc ${pkgdir}/etc/csh.cshrc || return 1
-  install -D -m644 ${srcdir}/csh.login ${pkgdir}/etc/csh.login || return 1
-  install -D -m644 ${srcdir}/tcsh.config.skel ${pkgdir}/etc/skel/.tcsh.config || return 1
-  ln -s tcsh ${pkgdir}/bin/csh || return 1
-  install -D -m 755 ${srcdir}/usr_tcsh.sh ${pkgdir}/usr/bin/tcsh || return 1
-  install -D -m 755 ${srcdir}/usr_csh.sh ${pkgdir}/usr/bin/csh || return 1
-  install -D -m644 Copyright ${pkgdir}/usr/share/licenses/${pkgname}/Copyright || return 1
+  install -D -m644 "${srcdir}/csh.cshrc" "${pkgdir}/etc/csh.cshrc" || return 1
+  install -D -m644 "${srcdir}/csh.login" "${pkgdir}/etc/csh.login" || return 1
+  install -D -m644 "${srcdir}/tcsh.config.skel" "${pkgdir}/etc/skel/.tcsh.config" || return 1
+  ln -s tcsh "${pkgdir}/bin/csh" || return 1
+  install -D -m 755 "${srcdir}/usr_tcsh.sh" "${pkgdir}/usr/bin/tcsh" || return 1
+  install -D -m 755 "${srcdir}/usr_csh.sh" "${pkgdir}/usr/bin/csh" || return 1
+  install -D -m644 Copyright "${pkgdir}/usr/share/licenses/${pkgname}/Copyright" || return 1
 }

Deleted: extra-i686/rs.diff
===================================================================
--- extra-i686/rs.diff	2009-05-21 21:31:39 UTC (rev 39868)
+++ extra-i686/rs.diff	2009-05-21 21:53:38 UTC (rev 39869)
@@ -1,15 +0,0 @@
-Index: tw.color.c
-===================================================================
-RCS file: /p/tcsh/cvsroot/tcsh/tw.color.c,v
-retrieving revision 1.24
-diff -u -u -r1.24 tw.color.c
---- tw.color.c	2 Mar 2006 18:46:45 -0000	1.24
-+++ tw.color.c	17 Oct 2008 19:03:56 -0000
-@@ -85,6 +85,7 @@
-     VAR(NOS, "tw", ""),		/* Sticky and other writable dir (+t,o+w) */
-     VAR(NOS, "ow", ""),		/* Other writable dir (o+w) but not sticky */
-     VAR(NOS, "st", ""),		/* Sticky dir (+t) but not other writable */
-+    VAR(NOS, "rs", "0"),	/* Reset to normal color */
- };
- 
- enum FileType {

Copied: tcsh/repos/extra-i686/tcsh-6.15.00-ls-colors-var.patch (from rev 39867, tcsh/trunk/tcsh-6.15.00-ls-colors-var.patch)
===================================================================
--- extra-i686/tcsh-6.15.00-ls-colors-var.patch	                        (rev 0)
+++ extra-i686/tcsh-6.15.00-ls-colors-var.patch	2009-05-21 21:53:38 UTC (rev 39869)
@@ -0,0 +1,13 @@
+diff -p -up tcsh-6.15.00/tw.color.c.ls-colors tcsh-6.15.00/tw.color.c
+--- tcsh-6.15.00/tw.color.c.ls-colors	2006-03-02 19:46:45.000000000 +0100
++++ tcsh-6.15.00/tw.color.c	2008-09-15 15:08:19.000000000 +0200
+@@ -85,6 +85,9 @@ static Variable variables[] = {
+     VAR(NOS, "tw", ""),		/* Sticky and other writable dir (+t,o+w) */
+     VAR(NOS, "ow", ""),		/* Other writable dir (o+w) but not sticky */
+     VAR(NOS, "st", ""),		/* Sticky dir (+t) but not other writable */
++    VAR(NOS, "rs", ""),		/* Reset to "normal" color */
++    VAR(NOS, "hl", ""),		/* Regular file with more than one link */
++    VAR(NOS, "ca", ""),		/* File with capability */
+ };
+ 
+ enum FileType {



More information about the arch-commits mailing list